com.h3c.util.filter

## Enum StringCondition.Mode

- java.lang.Object
- - java.lang.Enum<StringCondition.Mode>
  - - com.h3c.util.filter.StringCondition.Mode

- All Implemented Interfaces:
    Serializable, Comparable<StringCondition.Mode>
  Enclosing class:
    StringCondition

      public static enum StringCondition.Mode
      extends Enum<StringCondition.Mode>

  Condition mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTAINS` Elements that contain the specified value are selected by the condition.
    `ENDS_WITH` Elements that ends with the specified value are selected by the condition.
    `EQUAL` Elements that are equal to the specified value are selected by the condition.
    `STARTS_WITH` Elements that start with the specified value are selected by the condition.
    `UNEQUAL` Elements that are not equal to the specified value are selected by the condition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StringCondition.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StringCondition.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUAL

          public static final StringCondition.Mode EQUAL

      Elements that are equal to the specified value are selected by the condition.

    - #### UNEQUAL

          public static final StringCondition.Mode UNEQUAL

      Elements that are not equal to the specified value are selected by the condition.

    - #### STARTS_WITH

          public static final StringCondition.Mode STARTS_WITH

      Elements that start with the specified value are selected by the condition.

    - #### CONTAINS

          public static final StringCondition.Mode CONTAINS

      Elements that contain the specified value are selected by the condition.

    - #### ENDS_WITH

          public static final StringCondition.Mode ENDS_WITH

      Elements that ends with the specified value are selected by the condition.

  - ### Method Detail

    - #### values

          public static StringCondition.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StringCondition.Mode c : StringCondition.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StringCondition.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.